Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.phonon
Class Phonon.DiscType

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.phonon.Phonon.DiscType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  Phonon

    public static final class Phonon.DiscType

extends java.lang.Enum
implements QtEnumerator

Enum to identify the media discs supported by `MediaObject`.

See also:
  `MediaSource`, and `MediaObject`.

See Also:
  Serialized Form

Field Summary
`static Phonon.DiscType` | `Cd` Identifies Audio CDs.
`static Phonon.DiscType` | `Dvd` Identifies DVDs (not arbitrary data DVDs, only movie DVDs).
`static Phonon.DiscType` | `NoDisc` No disc was selected.
`static Phonon.DiscType` | `Vcd` Identifies Video CDs.

Method Summary
`static Phonon.DiscType` | `resolve(int value)` Returns the Phonon$DiscType constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Phonon.DiscType` | `valueOf(java.lang.String name)`
`static Phonon.DiscType[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoDisc

    public static final Phonon.DiscType NoDisc

  No disc was selected. This is only useful as a return value from MediaSource::diskType().

### Cd

    public static final Phonon.DiscType Cd

  Identifies Audio CDs.

### Dvd

    public static final Phonon.DiscType Dvd

  Identifies DVDs (not arbitrary data DVDs, only movie DVDs).

### Vcd

    public static final Phonon.DiscType Vcd

  Identifies Video CDs.

Method Detail

### values

    public static Phonon.DiscType[] values()

### valueOf

    public static Phonon.DiscType valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Phonon.DiscType resolve(int value)

  Returns the Phonon$DiscType constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD